import BaseEffect from './base-effect';
import ResonatorAudioContext from '../audio-context';
import AudioGraph from '../audio-graph';
export default class Convolver extends BaseEffect {
    private buffer;
    private channelSplitter;
    private channelMerger;
    constructor(context: ResonatorAudioContext, graph: AudioGraph, params: any);
    connectInput(node: AudioNode): void;
}
